## tomcatjss 7.4.1

=== .copr/Makefile ===
srpm:
	dnf install -y git
	./build.sh --with-timestamp --with-commit-id srpm
	if [[ "${outdir}" != "" ]]; then \
	    mv ${HOME}/build/tomcatjss/SRPMS/* ${outdir}; \
	fi

## tomcatjss 6.0.1

=== debian/changelog ===
tomcatjss (6.0.1-1) unstable; urgency=low

  * Initial release (Closes: #644371)
  * Conflict with libtcnative-1, which depends on openssl and breaks
    the NSS security model this package uses (see RHBZ #441974).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 29 Jun 2012 19:41:55 +0200

=== debian/control ===
Source: tomcatjss
Priority: extra
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 ant,
 default-jdk,
 javahelper,
 libtomcat6-java,
 libjss-java,
 libcommons-logging-java,
Standards-Version: 3.9.3
Section: libs
Homepage: http://pki.fedoraproject.org
Vcs-Git: git://git.debian.org/pki-freeipa/tomcatjss.git
Vcs-Browser: http://git.debian.org/?p=pki-freeipa/tomcatjss.git;a=summary

Package: libtomcatjss-java
Section: java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtomcat6-java
Conflicts: libtcnative-1
Description: JSSE implementation using JSS for Tomcat
 A Java Secure Socket Extension (JSSE) implementation
 using Java Security Services (JSS) for Tomcat 6.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export CLASSPATH=/usr/share/java/commons-logging.jar:/usr/share/java/jss.jar:/usr/share/java/tomcat-coyote.jar:/usr/share/java/oscache.jar

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

override_dh_install::
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
	install -m 644 build/jars/tomcatjss.jar \
		$(CURDIR)/debian/tmp/usr/share/java/tomcatjss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
	cd $(CURDIR)/debian/tmp/usr/share/java/ && \
	ln -s tomcatjss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar tomcatjss.jar
	dh_install

%:
	dh $@ --with javahelper

=== debian/watch ===
version=3
http://pki.fedoraproject.org/pki/sources/tomcatjss/tomcatjss-(.*)\.tar\.gz

## tomcatjss 7.1.0

=== debian/changelog ===
tomcatjss (7.1.0-0ubuntu1) trusty; urgency=medium

  * Sync from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 09 Apr 2014 17:00:32 +0300

tomcatjss (7.1.0-1) UNRELEASED; urgency=low

  [ Ade Lee ]
  * New upstream release. (Closes: #686879)
  * control: Depend on libtomcat7-java

  [ Timo Aaltonen ]
  * rules: Use bytecode format 1.5. (LP: #1049812)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 14 Dec 2013 16:55:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: tomcatjss
 Priority: extra
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu FreeIPA <freeipa@lists.launchpad.net>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0),
  ant,
  default-jdk,
  javahelper,
- libtomcat6-java,
+ libtomcat7-java,
  libjss-java,
  libcommons-logging-java,
 Standards-Version: 3.9.3
@@ -18,7 +19,7 @@
 Package: libtomcatjss-java
 Section: java
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libtomcat6-java
+Depends: ${shlibs:Depends}, ${misc:Depends}, libtomcat7-java
 Conflicts: libtcnative-1
 Description: JSSE implementation using JSS for Tomcat
  A Java Secure Socket Extension (JSSE) implementation

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
 MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))
 
+override_dh_auto_build:
+	ant -Dant.build.javac.source=1.5 \
+		-Dant.build.javac.target=1.5
+
 override_dh_install::
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
 	install -m 644 build/jars/tomcatjss.jar \

## tomcatjss 7.1.1

=== debian/changelog ===
tomcatjss (7.1.1-2) unstable; urgency=medium

  * control: Add versioned depends on libjss-java with TLS support to the
    binary too.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Nov 2014 15:50:17 +0200

tomcatjss (7.1.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libjss-java dependency so we have TLS support.
  * control: Update my email.
  * control: Bump policy to 3.9.6, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 13:24:40 +0300

tomcatjss (7.1.0-1) unstable; urgency=low

  [ Ade Lee ]
  * New upstream release. (Closes: #686879)
  * control: Depend on libtomcat7-java

  [ Timo Aaltonen ]
  * rules: Use bytecode format 1.5. (LP: #1049812)
  * control: Bump policy to 3.9.5, no changes.
  * control: Change the source section to java, like for the binary.

  [ Benjamin Drung ]
  * fix git URLs
  * use copyright format 1.0
  * switch to debhelper 9
  * drop unused ${shlibs:Depends} and add ${java:Depends}
  * fix architecture from any to all

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 30 Jun 2014 12:40:23 +0200

=== debian/control ===
Source: tomcatjss
Section: java
Priority: extra
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 ant,
 debhelper (>= 9),
 default-jdk,
 javahelper,
 libcommons-logging-java,
 libjss-java (>= 4.3.1-5),
 libtomcat7-java,
Standards-Version: 3.9.6
Homepage: http://pki.fedoraproject.org
Vcs-Git: git://anonscm.debian.org/pkg-freeipa/tomcatjss.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freeipa/tomcatjss.git

Package: libtomcatjss-java
Architecture: all
Depends: libtomcat7-java, ${java:Depends}, ${misc:Depends},
 libjss-java (>= 4.3.1-5)
Conflicts: libtcnative-1
Description: JSSE implementation using JSS for Tomcat
 A Java Secure Socket Extension (JSSE) implementation
 using Java Security Services (JSS) for Tomcat 7.

## tomcatjss 7.1.2

=== debian/changelog ===
tomcatjss (7.1.2-1) unstable; urgency=medium

  * New upstream release
    - support tomcat8
  * control: Build using libtomcat8-java, add libcommons-lang-java to
    build-depends.
  * fix-build.diff, add-dummy-getprotocol: Fix build. (Closes: #789109)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 24 Jul 2015 00:30:09 +0300

## tomcatjss 7.1.3

=== debian/changelog ===
tomcatjss (7.1.3-3) unstable; urgency=medium

  * control: Revert to building with libtomcat7-java again.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Sep 2015 09:01:52 +0300

tomcatjss (7.1.3-2) unstable; urgency=medium

  * control: Depend on libtomcat8-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Sep 2015 17:33:05 +0300

tomcatjss (7.1.3-1) unstable; urgency=medium

  * New upstream release.
  * add-dummy-getprotocol.diff: Removed, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 17 Aug 2015 08:45:11 +0300

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper (>= 9),
  default-jdk,
  javahelper,
+ libcommons-lang-java,
  libcommons-logging-java,
  libjss-java (>= 4.3.1-5),
  libtomcat7-java,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CLASSPATH=/usr/share/java/commons-logging.jar:/usr/share/java/jss.jar:/usr/share/java/tomcat-coyote.jar:/usr/share/java/oscache.jar

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant -Dant.build.javac.source=1.5 \
		-Dant.build.javac.target=1.5

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
	install -m 644 build/jars/tomcatjss.jar \
		$(CURDIR)/debian/tmp/usr/share/java/tomcatjss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
	cd $(CURDIR)/debian/tmp/usr/share/java/ && \
	ln -s tomcatjss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar tomcatjss.jar

## tomcatjss 7.1.4

=== debian/changelog ===
tomcatjss (7.1.4-4) unstable; urgency=medium

  * control: Add breaks for pki-server versions which use tomcat7.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Oct 2016 20:35:27 +0300

tomcatjss (7.1.4-3) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 30 Sep 2016 15:30:17 +0300

tomcatjss (7.1.4-2) experimental; urgency=medium

  * control: Switch to tomcat8. (Closes: #759645)
  * control: Use https vcs urls.
  * control: Bump policy to 3.9.8, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 31 Aug 2016 15:25:04 +0300

tomcatjss (7.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 31 Aug 2016 15:14:48 +0300

=== debian/control ===
Source: tomcatjss
Section: java
Priority: extra
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 ant,
 debhelper (>= 9),
 default-jdk,
 javahelper,
 libcommons-lang-java,
 libcommons-logging-java,
 libjss-java (>= 4.3.1-5),
 libtomcat8-java,
Standards-Version: 3.9.8
Homepage: http://pki.fedoraproject.org
Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/tomcatjss.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/tomcatjss.git

Package: libtomcatjss-java
Architecture: all
Depends: libtomcat8-java, ${java:Depends}, ${misc:Depends},
 libjss-java (>= 4.3.1-5)
Conflicts: libtcnative-1
Breaks: pki-server (<< 10.3.5-2)
Description: JSSE implementation using JSS for Tomcat
 A Java Secure Socket Extension (JSSE) implementation
 using Java Security Services (JSS) for Tomcat 8.

## tomcatjss 7.2.4

=== debian/changelog ===
tomcatjss (7.2.4-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * control: Build-depend on libtomcat8.0-java.
  * control: Bump libjss-java build-dep to 4.4.2.
  * source/local-options: Ignore some files not in the tarball.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Sep 2017 17:18:59 +0300

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  javahelper,
  libcommons-lang-java,
  libcommons-logging-java,
- libjss-java (>= 4.3.1-5),
- libtomcat8-java,
+ libjss-java (>= 4.4.2),
+ libtomcat8.0-java,
 Standards-Version: 3.9.8
 Homepage: http://pki.fedoraproject.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/tomcatjss.git
@@ -19,7 +19,7 @@
 
 Package: libtomcatjss-java
 Architecture: all
-Depends: libtomcat8-java, ${java:Depends}, ${misc:Depends},
+Depends: libtomcat8.0-java, ${java:Depends}, ${misc:Depends},
  libjss-java (>= 4.3.1-5)
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

## tomcatjss 7.3.0~git20180214

=== debian/changelog ===
tomcatjss (7.3.0~git20180214-1) experimental; urgency=medium

  * New upstream snapshot.
  * Build against libtomcat8-java.
  * Drop fix-build.diff, use ant rules instead.
  * rules: Add get-orig-source target for snapshots.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Mar 2018 16:38:03 +0200

tomcatjss (7.2.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Build-depend on libtomcat8.0-java.
  * control: Bump libjss-java build-dep to 4.4.2.
  * source/local-options: Ignore some files not in the tarball.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 21 Oct 2017 11:19:37 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libcommons-lang-java,
  libcommons-logging-java,
  libjss-java (>= 4.4.2),
- libtomcat8.0-java,
+ libtomcat8-java,
 Standards-Version: 3.9.8
 Homepage: http://pki.fedoraproject.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/tomcatjss.git
@@ -19,7 +19,7 @@
 
 Package: libtomcatjss-java
 Architecture: all
-Depends: libtomcat8.0-java, ${java:Depends}, ${misc:Depends},
+Depends: libtomcat8-java, ${java:Depends}, ${misc:Depends},
  libjss-java (>= 4.3.1-5)
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

## tomcatjss 7.3.0~rc

=== debian/changelog ===
tomcatjss (7.3.0~rc-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Apr 2018 15:22:31 +0300

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  libtomcat8-java,
 Standards-Version: 3.9.8
 Homepage: http://pki.fedoraproject.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/tomcatjss.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/tomcatjss.git
+Vcs-Git: https://salsa.debian.org/freeipa-team/tomcatjss.git
+Vcs-Browser: https://salsa.debian.org/freeipa-team/tomcatjss.git
 
 Package: libtomcatjss-java
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,10 @@
 
 override_dh_auto_build:
 	ant -Dant.build.javac.source=1.5 \
-		-Dant.build.javac.target=1.5
+		-Dant.build.javac.target=1.5 \
+		-Dsrc.dir=tomcat-8.5 \
+		-Dtomcat-coyote.jar=/usr/share/java/tomcat8-coyote.jar \
+		-Dtomcat-juli.jar=/usr/share/java/tomcat8-juli.jar
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
@@ -21,3 +24,10 @@
 		$(CURDIR)/debian/tmp/usr/share/java/tomcatjss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
 	cd $(CURDIR)/debian/tmp/usr/share/java/ && \
 	ln -s tomcatjss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar tomcatjss.jar
+
+get-orig-source: SOURCE=tomcatjss
+get-orig-source: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
+get-orig-source:
+	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
+		--exclude 'debian' --exclude-vcs \
+		-cJf ../$(SOURCE)_$(UV).orig.tar.xz .

## tomcatjss 7.3.0

=== debian/changelog ===
tomcatjss (7.3.0-2) unstable; urgency=medium

  * rules: Use javac target 1.8.
  * control: Change priority to optional.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 May 2018 12:10:57 +0300

tomcatjss (7.3.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #846677)
  * watch: Updated to point to github.
  * Bump debhelper to 11.
  * control: Bump policy to 4.1.4, no changes.
  * rules: Rework the build.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 May 2018 09:37:58 +0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: tomcatjss
 Section: java
-Priority: extra
+Priority: optional
 Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  ant,
- debhelper (>= 9),
+ debhelper (>= 11),
  default-jdk,
  javahelper,
  libcommons-lang-java,
  libcommons-logging-java,
  libjss-java (>= 4.4.2),
  libtomcat8-java,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://pki.fedoraproject.org
 Vcs-Git: https://salsa.debian.org/freeipa-team/tomcatjss.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/tomcatjss.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CLASSPATH=/usr/share/java/commons-logging.jar:/usr/share/java/jss.jar:/usr/share/java/tomcat-coyote.jar:/usr/share/java/oscache.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant \
		-Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8 \
		-Dsrc.dir=tomcat-8.5 \
		-Dtomcat-coyote.jar=/usr/share/java/tomcat8-coyote.jar \
		-Dtomcat-juli.jar=/usr/share/java/tomcat8-juli.jar \
		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \
		-Dinstall.jar.dir=build/usr/share/java \
		install

override_dh_auto_install:
	mkdir -p debian/tmp
	mv build/usr debian/tmp

get-orig-source: SOURCE=tomcatjss
get-orig-source: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
get-orig-source:
	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(SOURCE)_$(UV).orig.tar.xz .

## tomcatjss 7.3.3

=== debian/changelog ===
tomcatjss (7.3.3-1) unstable; urgency=medium

  * New upstream release.
  * control: Fix maintainer address.
  * Add dependency on libslf4j-java.
  * Bump dep on libjss-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 05 Aug 2018 00:27:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tomcatjss
 Section: java
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  ant,
@@ -10,7 +10,8 @@
  javahelper,
  libcommons-lang-java,
  libcommons-logging-java,
- libjss-java (>= 4.4.2),
+ libjss-java (>= 4.5.0~a4),
+ libslf4j-java,
  libtomcat8-java,
 Standards-Version: 4.1.4
 Homepage: http://pki.fedoraproject.org
@@ -20,7 +21,9 @@
 Package: libtomcatjss-java
 Architecture: all
 Depends: libtomcat8-java, ${java:Depends}, ${misc:Depends},
- libjss-java (>= 4.3.1-5)
+ libcommons-lang-java,
+ libjss-java (>= 4.5.0~a4),
+ libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)
 Description: JSSE implementation using JSS for Tomcat

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 		-Dtomcat-juli.jar=/usr/share/java/tomcat8-juli.jar \
 		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \
 		-Dinstall.jar.dir=build/usr/share/java \
+		-Dslf4j-api.jar=/usr/share/java/slf4j-api.jar \
 		install
 
 override_dh_auto_install:

## tomcatjss 7.3.4

=== debian/changelog ===
tomcatjss (7.3.4-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump dep on libjss-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Aug 2018 17:04:25 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  javahelper,
  libcommons-lang-java,
  libcommons-logging-java,
- libjss-java (>= 4.5.0~a4),
+ libjss-java (>= 4.5.0),
  libslf4j-java,
  libtomcat8-java,
 Standards-Version: 4.1.4
@@ -22,7 +22,7 @@
 Architecture: all
 Depends: libtomcat8-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang-java,
- libjss-java (>= 4.5.0~a4),
+ libjss-java (>= 4.5.0),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tomcatjss-$1.tar.gz%" \
  https://github.com/dogtagpki/tomcatjss/releases \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## tomcatjss 7.3.6

=== debian/changelog ===
tomcatjss (7.3.6-2) unstable; urgency=medium

  * control, rules: Migrate to tomcat9.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Dec 2018 10:30:20 +0200

tomcatjss (7.3.6-1) unstable; urgency=medium

  * New upstream release.
  * rules: Drop oscache.jar from classpath.
  * rules, control: Drop commons-logging from classpath and build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Oct 2018 10:12:10 +0300

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  default-jdk,
  javahelper,
  libcommons-lang-java,
- libcommons-logging-java,
  libjss-java (>= 4.5.0),
  libslf4j-java,
- libtomcat8-java,
+ libtomcat9-java,
 Standards-Version: 4.1.4
 Homepage: http://pki.fedoraproject.org
 Vcs-Git: https://salsa.debian.org/freeipa-team/tomcatjss.git
@@ -20,7 +19,7 @@
 
 Package: libtomcatjss-java
 Architecture: all
-Depends: libtomcat8-java, ${java:Depends}, ${misc:Depends},
+Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang-java,
  libjss-java (>= 4.5.0),
  libslf4j-java,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export CLASSPATH=/usr/share/java/commons-logging.jar:/usr/share/java/jss.jar:/usr/share/java/tomcat-coyote.jar:/usr/share/java/oscache.jar
+export CLASSPATH=/usr/share/java/jss.jar:/usr/share/java/tomcat-coyote.jar
 
 %:
 	dh $@ --with javahelper
@@ -10,8 +10,8 @@
 	ant \
 		-Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8 \
 		-Dsrc.dir=tomcat-8.5 \
-		-Dtomcat-coyote.jar=/usr/share/java/tomcat8-coyote.jar \
-		-Dtomcat-juli.jar=/usr/share/java/tomcat8-juli.jar \
+		-Dtomcat-coyote.jar=/usr/share/java/tomcat9-coyote.jar \
+		-Dtomcat-juli.jar=/usr/share/java/tomcat9-juli.jar \
 		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \
 		-Dinstall.jar.dir=build/usr/share/java \
 		-Dslf4j-api.jar=/usr/share/java/slf4j-api.jar \

## tomcatjss 7.4.0

=== debian/changelog ===
tomcatjss (7.4.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Bump libjss-java build-dep.
  * rules: Speficy where to find catalina.jar and tomcat-api.jar.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2019 16:09:13 +0300

## tomcatjss 7.4.1

=== debian/changelog ===
tomcatjss (7.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 29 Jul 2019 12:03:59 +0300

tomcatjss (7.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 19 Jul 2019 10:15:08 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  default-jdk,
  javahelper,
  libcommons-lang-java,
- libjss-java (>= 4.5.0),
+ libjss-java (>= 4.5.3),
  libslf4j-java,
  libtomcat9-java,
 Standards-Version: 4.1.4

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 	ant \
 		-Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8 \
 		-Dsrc.dir=tomcat-8.5 \
+		-Dcatalina.jar=/usr/share/java/tomcat9-catalina.jar \
+		-Dtomcat-api.jar=/usr/share/java/tomcat9-api.jar \
 		-Dtomcat-coyote.jar=/usr/share/java/tomcat9-coyote.jar \
 		-Dtomcat-juli.jar=/usr/share/java/tomcat9-juli.jar \
 		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tomcatjss-$1.tar.gz%" \
  https://github.com/dogtagpki/tomcatjss/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## tomcatjss 7.5.0

=== debian/changelog ===
tomcatjss (7.5.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump to debhelper-compat 12.
  * control: Bump policy to 4.5.0.
  * rules: Specify the location of tomcat9-util.jar.
  * control: Bump tomcat9 build-dep to fix ftbfs.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 14:15:37 +0300

tomcatjss (7.5.0~a1-1) experimental; urgency=medium

  * New upstream prerelease.
  * watch: Updated.
  * control: Bump libjss-java dependencies to 4.7.0~.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 May 2020 00:39:50 +0300

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  ant,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jdk,
  javahelper,
  libcommons-lang-java,
- libjss-java (>= 4.5.3),
+ libjss-java (>= 4.7.0~),
  libslf4j-java,
- libtomcat9-java,
-Standards-Version: 4.1.4
+ libtomcat9-java (>= 9.0.37-2~),
+Standards-Version: 4.5.0
 Homepage: http://pki.fedoraproject.org
 Vcs-Git: https://salsa.debian.org/freeipa-team/tomcatjss.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/tomcatjss.git
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang-java,
- libjss-java (>= 4.5.0),
+ libjss-java (>= 4.7.0~),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

## tomcatjss 7.6.0

=== debian/changelog ===
tomcatjss (7.6.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Build using libcommons-lang3-java, bump libjss depends.
  * bump-version.diff: Fix the project version.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 31 Oct 2020 19:31:55 +0200

## tomcatjss 7.6.1

=== debian/changelog ===
tomcatjss (7.6.1-1) unstable; urgency=medium

  * New upstream release.
  * bump-version.diff: Dropped.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Dec 2020 14:50:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  debhelper-compat (= 12),
  default-jdk,
  javahelper,
- libcommons-lang-java,
- libjss-java (>= 4.7.0~),
+ libcommons-lang3-java,
+ libjss-java (>= 4.8.0~),
  libslf4j-java,
  libtomcat9-java (>= 9.0.37-2~),
 Standards-Version: 4.5.0
@@ -20,8 +20,8 @@
 Package: libtomcatjss-java
 Architecture: all
 Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
- libcommons-lang-java,
- libjss-java (>= 4.7.0~),
+ libcommons-lang3-java,
+ libjss-java (>= 4.8.0~),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 		-Dtomcat-api.jar=/usr/share/java/tomcat9-api.jar \
 		-Dtomcat-coyote.jar=/usr/share/java/tomcat9-coyote.jar \
 		-Dtomcat-juli.jar=/usr/share/java/tomcat9-juli.jar \
+		-Dtomcat-util.jar=/usr/share/java/tomcat9-util.jar \
 		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \
 		-Dinstall.jar.dir=build/usr/share/java \
 		-Dslf4j-api.jar=/usr/share/java/slf4j-api.jar \

## tomcatjss 7.7.0

=== debian/changelog ===
tomcatjss (7.7.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Fix source dir path.
  * control: Bump libjss-java dependency.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Sep 2021 11:48:16 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  default-jdk,
  javahelper,
  libcommons-lang3-java,
- libjss-java (>= 4.8.0~),
+ libjss-java (>= 4.9.1~),
  libslf4j-java,
  libtomcat9-java (>= 9.0.37-2~),
 Standards-Version: 4.5.0
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang3-java,
- libjss-java (>= 4.8.0~),
+ libjss-java (>= 4.9.1~),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 override_dh_auto_build:
 	ant \
 		-Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8 \
-		-Dsrc.dir=tomcat-8.5 \
+		-Dsrc.dir=tomcat-9.0 \
 		-Dcatalina.jar=/usr/share/java/tomcat9-catalina.jar \
 		-Dtomcat-api.jar=/usr/share/java/tomcat9-api.jar \
 		-Dtomcat-coyote.jar=/usr/share/java/tomcat9-coyote.jar \

## tomcatjss 8.0.0

=== debian/changelog ===
tomcatjss (8.0.0-2) unstable; urgency=medium

  * rules: Fix classpath to look for the right coyote.jar.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Oct 2021 01:46:04 +0300

tomcatjss (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libjss-java depends.
  * rules: Drop building for old jdk target.
  * rules: Fix version.
  * control: Bump debhelper to 13.
  * rules: Drop obsolete build parameters.
  * control: Bump policy to 4.6.0.
  * control: Fix Vcs-Browser url.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Oct 2021 10:40:26 +0300

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  ant,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
  libcommons-lang3-java,
- libjss-java (>= 4.9.1~),
+ libjss-java (>= 5.0.0),
  libslf4j-java,
  libtomcat9-java (>= 9.0.37-2~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://pki.fedoraproject.org
 Vcs-Git: https://salsa.debian.org/freeipa-team/tomcatjss.git
-Vcs-Browser: https://salsa.debian.org/freeipa-team/tomcatjss.git
+Vcs-Browser: https://salsa.debian.org/freeipa-team/tomcatjss
 
 Package: libtomcatjss-java
 Architecture: all
 Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang3-java,
- libjss-java (>= 4.9.1~),
+ libjss-java (>= 5.0.0),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export CLASSPATH=/usr/share/java/jss.jar:/usr/share/java/tomcat-coyote.jar
+export CLASSPATH=/usr/share/java/jss.jar:/usr/share/java/tomcat9-coyote.jar
 
 %:
 	dh $@ --with javahelper
 
 override_dh_auto_build:
 	ant \
-		-Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8 \
-		-Dsrc.dir=tomcat-9.0 \
 		-Dcatalina.jar=/usr/share/java/tomcat9-catalina.jar \
 		-Dtomcat-api.jar=/usr/share/java/tomcat9-api.jar \
 		-Dtomcat-coyote.jar=/usr/share/java/tomcat9-coyote.jar \
@@ -18,6 +16,7 @@
 		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \
 		-Dinstall.jar.dir=build/usr/share/java \
 		-Dslf4j-api.jar=/usr/share/java/slf4j-api.jar \
+		-Dversion=8.0.0 \
 		install
 
 override_dh_auto_install:

## tomcatjss 8.1.0

=== debian/changelog ===
tomcatjss (8.1.0-1) unstable; urgency=medium

  * New upstream version.
  * control: Bump depends on libjss-java.
  * rules: Set version and where to find jss.jar.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Mar 2022 10:32:54 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  default-jdk,
  javahelper,
  libcommons-lang3-java,
- libjss-java (>= 5.0.0),
+ libjss-java (>= 5.1.0),
  libslf4j-java,
  libtomcat9-java (>= 9.0.37-2~),
 Standards-Version: 4.6.0
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang3-java,
- libjss-java (>= 5.0.0),
+ libjss-java (>= 5.1.0),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

## tomcatjss 8.2.0

=== debian/changelog ===
tomcatjss (8.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump jss dependency.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Nov 2022 19:07:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  default-jdk,
  javahelper,
  libcommons-lang3-java,
- libjss-java (>= 5.1.0),
+ libjss-java (>= 5.2.0),
  libslf4j-java,
  libtomcat9-java (>= 9.0.37-2~),
 Standards-Version: 4.6.0
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang3-java,
- libjss-java (>= 5.1.0),
+ libjss-java (>= 5.2.0),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_auto_build:
 	ant \
 		-Dcatalina.jar=/usr/share/java/tomcat9-catalina.jar \
+		-Djss.jar=/usr/share/java/jss.jar \
 		-Dtomcat-api.jar=/usr/share/java/tomcat9-api.jar \
 		-Dtomcat-coyote.jar=/usr/share/java/tomcat9-coyote.jar \
 		-Dtomcat-juli.jar=/usr/share/java/tomcat9-juli.jar \
@@ -16,7 +17,7 @@
 		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \
 		-Dinstall.jar.dir=build/usr/share/java \
 		-Dslf4j-api.jar=/usr/share/java/slf4j-api.jar \
-		-Dversion=8.0.0 \
+		-Dversion=8.1.0 \
 		install
 
 override_dh_auto_install:

## tomcatjss 8.3.0

=== debian/changelog ===
tomcatjss (8.3.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Bump the version.
  * control: Bump libjss-java deps.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Feb 2023 09:34:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  default-jdk,
  javahelper,
  libcommons-lang3-java,
- libjss-java (>= 5.2.0),
+ libjss-java (>= 5.3.0),
  libslf4j-java,
  libtomcat9-java (>= 9.0.37-2~),
 Standards-Version: 4.6.0
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang3-java,
- libjss-java (>= 5.2.0),
+ libjss-java (>= 5.3.0),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \
 		-Dinstall.jar.dir=build/usr/share/java \
 		-Dslf4j-api.jar=/usr/share/java/slf4j-api.jar \
-		-Dversion=8.1.0 \
+		-Dversion=8.3.0 \
 		install
 
 override_dh_auto_install:

## tomcatjss 8.4.0

=== debian/changelog ===
tomcatjss (8.4.0-2+exp1) experimental; urgency=medium

  * tomcat10-support.diff: Add support for tomcat10.
  * control, rules: Build with libtomcat10-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Mar 2024 15:51:42 +0200

tomcatjss (8.4.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Aug 2023 16:44:43 +0300

tomcatjss (8.4.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Bump libjss-java depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 May 2023 16:18:31 +0300

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  default-jdk,
  javahelper,
  libcommons-lang3-java,
- libjss-java (>= 5.3.0),
+ libjss-java (>= 5.4.0),
  libslf4j-java,
- libtomcat9-java (>= 9.0.37-2~),
+ libtomcat10-java,
 Standards-Version: 4.6.0
 Homepage: http://pki.fedoraproject.org
 Vcs-Git: https://salsa.debian.org/freeipa-team/tomcatjss.git
@@ -19,9 +19,9 @@
 
 Package: libtomcatjss-java
 Architecture: all
-Depends: libtomcat9-java, ${java:Depends}, ${misc:Depends},
+Depends: libtomcat10-java, ${java:Depends}, ${misc:Depends},
  libcommons-lang3-java,
- libjss-java (>= 5.3.0),
+ libjss-java (>= 5.4.0),
  libslf4j-java,
 Conflicts: libtcnative-1
 Breaks: pki-server (<< 10.3.5-2)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CLASSPATH=/usr/share/java/jss.jar:/usr/share/java/tomcat10-coyote.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant \
		-Dcatalina.jar=/usr/share/java/tomcat10-catalina.jar \
		-Djss.jar=/usr/share/java/jss.jar \
		-Dtomcat-api.jar=/usr/share/java/tomcat10-api.jar \
		-Dtomcat-coyote.jar=/usr/share/java/tomcat10-coyote.jar \
		-Dtomcat-juli.jar=/usr/share/java/tomcat10-juli.jar \
		-Dtomcat-util.jar=/usr/share/java/tomcat10-util.jar \
		-Dinstall.doc.dir=build/usr/share/doc/tomcatjss \
		-Dinstall.jar.dir=build/usr/share/java \
		-Dslf4j-api.jar=/usr/share/java/slf4j-api.jar \
		-Dversion=8.4.0 \
		-Dtomcat.major-version=10 \
		install

override_dh_auto_install:
	mkdir -p debian/tmp
	mv build/usr debian/tmp

get-orig-source: SOURCE=tomcatjss
get-orig-source: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
get-orig-source:
	tar --transform 's,^,$(SOURCE)-$(UV)/,' \
		--exclude 'debian' --exclude-vcs \
		-cJf ../$(SOURCE)_$(UV).orig.tar.xz .

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/,filenamemangle=s%(?:.*?)?v@ANY_VERSION@\.tar\.gz%tomcatjss-$1.tar.gz%" \
  https://github.com/dogtagpki/tomcatjss/tags \
  (?:.*?/)?v@ANY_VERSION@\.tar\.gz
